Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.lifecycle.phases
Class MuleContextStopPhase

    java.lang.Object
      org.mule.lifecycle.phases.DefaultLifecyclePhase
          org.mule.lifecycle.phases.MuleContextStopPhase

All Implemented Interfaces:
  MuleContextAware, LifecyclePhase

    public class MuleContextStopPhase

extends DefaultLifecyclePhase

The Stop phase for the Management context LifecycleManager. Calling `Stoppable.stop()` with initiate this phase via the `LifecycleManager`. The MuleContextDisposePhase defines the lifecycle behaviour when the Mule context is stopped. The MuleContext is associated with one or more registries that inherit the lifecycle of the MuleContext. This phase is responsible for disposing objects. Any object that implements `Stoppable` will have its `Stoppable.stop()` ()} method called. Objects are initialised in the order based on type: `Service`, `Model`, `Agent`, `Connector`, followed by any other object that implements `Stoppable`.

Since:
  3.0
See Also:
  `MuleContext`, `LifecycleManager`, `Stoppable`

Field Summary

Fields inherited from class org.mule.lifecycle.phases.DefaultLifecyclePhase
`logger`

Fields inherited from interface org.mule.api.lifecycle.LifecyclePhase
`ALL_PHASES`

Constructor Summary
`MuleContextStopPhase()`
`MuleContextStopPhase(Class<?>[] ignorredObjects)`

Method Summary

Methods inherited from class org.mule.lifecycle.phases.DefaultLifecyclePhase
`addOrderedLifecycleObject, applyLifecycle, getIgnoredObjectTypes, getLifecycleClass, getName, getOppositeLifecyclePhase, getOrderedLifecycleObjects, getSupportedPhases, ignoreType, isPhaseSupported, registerSupportedPhase, removeOrderedLifecycleObject, setIgnoredObjectTypes, setLifecycleClass, setMuleContext, setOrderedLifecycleObjects, setSupportedPhases, sortLifecycleInstances`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleContextStopPhase

    public MuleContextStopPhase()

### MuleContextStopPhase

    public MuleContextStopPhase(Class<?>[] ignorredObjects)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.